DK API 文档

toutiao

7 个接口

GETget article info

GET https://dkai.store/api/v1/toutiao/app/get_article_info

1 积分 / 成功调用

参数位置要求说明
group_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/app/get_article_info?group_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget comments

GET https://dkai.store/api/v1/toutiao/app/get_comments

1 积分 / 成功调用

参数位置要求说明
group_idquery必填
offsetquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/app/get_comments?group_id=VALUE&offset=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user id

GET https://dkai.store/api/v1/toutiao/app/get_user_id

1 积分 / 成功调用

参数位置要求说明
user_profile_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/app/get_user_id?user_profile_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user info

GET https://dkai.store/api/v1/toutiao/app/get_user_info

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/app/get_user_info?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video info

GET https://dkai.store/api/v1/toutiao/app/get_video_info

1 积分 / 成功调用

参数位置要求说明
group_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/app/get_video_info?group_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget article info

GET https://dkai.store/api/v1/toutiao/web/get_article_info

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/web/get_article_info?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video info

GET https://dkai.store/api/v1/toutiao/web/get_video_info

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/toutiao/web/get_video_info?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。